http://1password.local/vaults/{vaultUuid}/items/{itemUuid}/files/{fileUuid}The UUID of the Vault to fetch Item from
The UUID of the Item to fetch File from
The UUID of the File to fetch
Tells server to return the base64-encoded file contents in the response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://1password.local/vaults/{vaultUuid}/items/{itemUuid}/files/{fileUuid}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://1password.local/vaults/{vaultUuid}/items/{itemUuid}/files/{fileUuid}The UUID of the Vault to fetch Item from
The UUID of the Item to fetch File from
The UUID of the File to fetch
Tells server to return the base64-encoded file contents in the response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://1password.local/vaults/{vaultUuid}/items/{itemUuid}/files/{fileUuid}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}